<?php
/* ini_set('display_errors', 1);
error_reporting(e_all); */
$logonly = true;
$adminonly=true;
require $_SERVER['DOCUMENT_ROOT'].'/inclus/log.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/inclus/consts.php';
if(isset($_GET['add']) and isset($_POST['name']) and isset($_POST['status']) and isset($_POST['age']) and isset($_POST['account_id']) and isset($_POST['short_name'])) {
	$req = $bdd->prepare('INSERT INTO `team`(`name`, `status`,`date`,`age`,`account_id`,`short_name`) VALUES(?,?,?,?,?,?)');
	$req->execute(array(htmlentities($_POST['name']), $_POST['status'], time(), strtotime(preg_replace('/^(\d{2})\/(\d{2})\/(\d{4})$/', '$3-$2-$1', $_POST['age'])), $_POST['account_id'], $_POST['short_name']));
$req = $bdd->prepare('SELECT `status`,`age`,`short_name` FROM `team` ORDER BY `id` DESC LIMIT 1');
$req->execute();
if($data = $req->fetch()) {
include_once($_SERVER['DOCUMENT_ROOT'].'/inclus/lib/facebook/envoyer.php');
send_facebook('Nouvel arrivant dans l\'équipe : '.$data['short_name'].' (E'.$data['id'].') : '.$data['status'].'. L\'administration');
include_once($_SERVER['DOCUMENT_ROOT'].'/inclus/lib/twitter/twitter.php');
send_twitter('Nouvel arrivant dans l\'équipe : '.$data['short_name'].' : '.$data['status'].'. L\'administration');
}
}
if(isset($_GET['delete'])) {
	$req = $bdd->prepare('DELETE FROM `team` WHERE `id`=? LIMIT 1');
	$req->execute(array($_GET['delete']));
}
if(isset($_GET['mod2']) and isset($_POST['name']) and isset($_POST['status']) and isset($_POST['age']) and isset($_POST['account_id']) and isset($_POST['short_name'])) {
	$req = $bdd->prepare('UPDATE `team` SET `name`=?, `status`=?, `age`=?, `account_id`=?, `short_name`=? WHERE `id`=? LIMIT 1');
	$req->execute(array(htmlentities($_POST['name']), $_POST['status'], strtotime(preg_replace('/^(\d{2})\/(\d{2})\/(\d{4})$/', '$3-$2-$1', $_POST['age'])), $_POST['account_id'], $_POST['short_name'], $_GET['mod2']));
}
?>
<!DOCTYPE html>
<html lang="fr">
	<head>
		<meta charset="utf-8" />
		<title>Gestion de l'équipe de <?php print $nomdusite; ?></title>
		<?php print $cssadmin; ?>
		<script type="text/javascript" src="/scripts/default.js"></script>
	</head>
	<body>
		<h1>Équipe - <a href="/"><?php print $nomdusite.' '.$versionnom; ?></a></h1>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/inclus/loginbox.php'; ?>
		<table border="1">
			<thead><tr><th>Numéro d'équipier</th><th>Nom</th><th>Nom court</th><th>Statut(s)</th><th>Date</th><th>Âge</th><th>Actions</th></tr></thead>
			<tbody>
<?php
$req = $bdd->query('SELECT * FROM `team` ORDER BY `name` ASC');
while($data = $req->fetch()) {
	echo '<tr><td>M'.$data['account_id'].'/E'.$data['id'].'</td><td>'.$data['name'].'</td><td>'.$data['short_name'].'</td><td>'.$data['status'].'</td><td>'.date('d/m/Y H:i:s',$data['date']).'</td><td>'.intval((time()-$data['age'])/31557600).'</td><td><a href="?delete='.$data['id'].'">Supprimer</a> | <a href="?mod='.$data['id'].'#mod">Modifier</a></td></tr>';
}
?>
			</tbody>
		</table>
<?php
if(isset($_GET['mod'])) {
	$req = $bdd->prepare('SELECT * FROM `team` WHERE `id`=? LIMIT 1');
	$req->execute(array($_GET['mod']));
	if($data = $req->fetch()) { ?>
		<h3 id="mod">Modifier</h3>
		<form action="?mod2=<?php echo $data['id']; ?>" method="post">
			<label for="f2_name">Nom&nbsp;:</label><input type="text" name="name" id="f2_name" maxlength="255" value="<?php echo $data['name']; ?>" required /><br />
			<label for="f2_text">Statut(s)&nbsp;:</label><input type="text" name="status" id="f2_text" maxlength="255" value="<?php echo htmlentities($data['status']); ?>" required /><br />
<label for="f2_age">Date de naissance (dd/mm/aaaa)&nbsp;:</label><input type="text" name="age" id="f2_age" value="<?php echo date('d/m/Y', $data['age']); ?>" maxlength="10" required /><br />
<label for="f2_account">Numéro de membre&nbsp;:</label>
<select id="f2_account" name="account_id">
<?php
$req2 = $bdd->prepare('SELECT * FROM `accounts` WHERE `rank`=? ORDER BY `id` ASC');
$req2->execute(array(a));
while($data2 = $req2->fetch()) {
echo '<option value="'.$data2['id'].'"'.(($data2['id'] == $data['id']) ? ' selected':'').'>M'.$data2['id'].'</option>';
}
?>
</select>
<label for="f2_short">Nom court&nbsp;:</label><input type="text" name="short_name" id="f2_short" value="<?php echo $data['short_name']; ?>" maxlength="255" required /><br />
			<input type="submit" value="Modifier" />
		</form>
<?php	}
}
?>
		
		<h2>Ajouter</h2>
		<form action="?add" method="post">
			<label for="f_name">Nom&nbsp;:</label><input type="text" name="name" id="f_name" maxlength="255" required /><br />
			<label for="f_text">Statut(s)&nbsp;:</label><input type="text" name="status" id="f_text" maxlength="255" required /><br />
			<label for="f_age">Date de naissance (dd/mm/aaaa)&nbsp;:</label><input type="text" name="age" id="f_age" maxlength="10" required /><br />
			<label for="f_account">Numéro de membre&nbsp;:</label>
<select id="f_account" name="account_id">
<?php
$req = $bdd->prepare('SELECT * FROM `accounts` WHERE `rank`=? ORDER BY `id` ASC');
$req->execute(array(a));
while($data = $req->fetch()) {
echo '<option value="'.$data['id'].'">M'.$data['id'].'</option>';
}
?>
</select>
<label for="f_short">Nom court&nbsp;:</label><input type="text" name="short_name" id="f_short" value="<?php echo $data['short_name']; ?>" maxlength="255" required /><br />
			<input type="submit" value="Ajouter" />
		</form>
	</body>
</html>