<?php
require_once('document_root.php');
require_once($document_root.'/inclus/dbconnect.php');
$logonly = true;
$adminonly=true;
include_once $_SERVER['DOCUMENT_ROOT'].'/inclus/log.php';

// supprimer les IPs de plus de 28 jours
$req = $bdd->prepare('UPDATE `softwares_comments` SET `ip`="rm" WHERE `date` < ?');
$req->execute(array(time()-2419200));

// notifier l'admin des nouveaux messages
$req = $bdd->prepare('SELECT * FROM `softwares_comments` WHERE `date` > ?');
$req->execute(array(time()-86400));
$n = 0;
$msg = '';
while($data = $req->fetch()) {
	$req2 = $bdd->prepare('SELECT `id`,`name` FROM `softwares` WHERE `id`=? LIMIT 1');
	$req2->execute(array($data['sw_id']));
	$sw = $req2->fetch()
	$msg .= 'De "'.$data['pseudo'].'" à '.date('d/m/Y H:i:s').' sur '.$sw['name'].":\n".$data['text']."\nhttps://progaccess33.net/article.php?id=".$sw['id']."\n\n";
	$n ++;
}
if($n > 0) {
	use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\Exception;
	use PHPMailer\PHPMailer\SMTP;
	require_once($document_root.'/inclus/lib/PHPMailer/src/PHPMailer.php');
	require_once($document_root.'/inclus/lib/PHPMailer/src/Exception.php');
	require_once($document_root.'/inclus/lib/PHPMailer/src/SMTP.php');
	require_once($document_root.'/inclus/smtp.php');
	$mail = new PHPMailer;
	$mail->isSMTP();
	$mail->Host = $smtp_host;
	$mail->Port = $smtp_port;
	$mail->SMTPAuth = true;
	$mail->Username = $smtp_username;
	$mail->Password = $smtp_psw;
	$mail->setFrom('no_reply@progaccess33.net', 'Robot ProgAccess33');
	$mail->addReplyTo('no_reply@progaccess33.net', 'Robot ProgAccess33');
	$mail->addAddress('miklhcos@progaccess33.net');
	$mail->Subject = $n.' nouveaux commentaires sur ProgAccess';
	$mail->CharSet = 'UTF-8';
	$mail->IsHTML(false);
	$mail->Body = 'Compte rendu des commentaires d\'hier: '.$n." nouveaux.\n\n";
	$mail->send();
}
?>