<?php
/* Ce programme envoie automatiquement la newsletter et nettoye la table. */
$atime = microtime(true);
$noct = true;

require_once('document_root.php');
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
use PHPMailer\PHPMailer\SMTP;
require_once($document_root.'/inclus/lib/PHPMailer/src/PHPMailer.php');
require_once($document_root.'/inclus/lib/PHPMailer/src/Exception.php');
require_once($document_root.'/inclus/lib/PHPMailer/src/SMTP.php');
require_once($document_root.'/inclus/smtp.php');
require_once($document_root.'/inclus/consts.php');

$datejour = strftime('%d/%m/%Y');

# Netoyage de la table
$req = $bdd->prepare('DELETE FROM `notifs` WHERE `date`<?');
$req->execute(array(time()-2678400));

# Envoi des mails d'avertissement de fin d'abonnement
if(isset($debug)) {
	$req = $bdd->prepare('SELECT * FROM `newsletter_mails` WHERE `confirm`=1 AND `expire`<=? AND `mail`=?');
	$req->execute(array(time()+172800, $debug));
	echo "--debug--\n";
}
else
{
	$req = $bdd->prepare('SELECT * FROM `newsletter_mails` WHERE `confirm`=1 AND `expire`<=?');
	$req->execute(array(time()+172800));
	echo "--prod--\n";
}
while($data = $req->fetch()) {
	$mail = new PHPMailer;
	$mail->isSMTP();
	$mail->Host = $smtp_host;
	$mail->Port = $smtp_port;
	$mail->SMTPAuth = true;
	$mail->Username = $smtp_username;
	$mail->Password = $smtp_psw;
	$mail->setFrom('no_reply@progaccess33.net', 'L\'administration '.$nomdusite);
	$mail->addReplyTo('no_reply@progaccess33.net', 'L\'administration '.$nomdusite);
	$mail->addAddress($data['mail']);
	$mail->Subject = $nomdusite.' : votre abonnement à la lettre d\'informations expire bientôt';
	$mail->CharSet = 'UTF-8';
	$mail->IsHTML(false);
	$mail->Body = 'Bonjour '.$data['mail'].",\n\nVotre abonnement à la lettre d'informations de ProgAccess expire le ".date('d/m/Y à H:i').".\nCliquez sur le lien suivant pour renouveler votre abonnement :\nhttps://www.progaccess33.net/nlmod.php?id=".$data['hash']."\n\nCordialement,\nAdministration ".$nomdusite;
	$mail->send();
	echo $data['mail'];
}

# Sélection des mails
$r = '(freq=1';
if(localtime()[3] == 1)# premier jour du mois
	$r .= ' OR freq=5';
if(localtime()[6] == 1 and intval(date('W'))%2 == 0)# lundi et semaine paire
	$r .= ' OR freq=4';
if(localtime()[6] == 1)# lundi
	$r .= ' OR freq=3';
if(localtime()[7]%2 == 0)# jour pair sur l'année
	$r .= ' OR freq=2';
$r .= ')';

# Lister les catégories
$cat = array();
$req = $bdd->query('SELECT * FROM `softwares_categories`');
while($data = $req->fetch()) {$cat[$data['id']] = $data['name'];}

# Prendre des infos à envoyer
$req = $bdd->prepare('SELECT * FROM `softwares` WHERE `date`>=? ORDER BY `date` DESC');
$req->execute(array(time()-2678400));# récents d'au plus un mois
$sft = array();
while($data = $req->fetch()) {
	$sft[] = $data;
}

$req = $bdd->prepare('SELECT * FROM `softwares_files` WHERE `date`>=? ORDER BY `date` DESC');
$req->execute(array(time()-2678400));# récents d'au plus un mois
$files = array();
while($data = $req->fetch()) {
	$files[] = $data;
}

$maj_name = '';
$maj_text = '';
$maj_date = 0;
$req = $bdd->prepare('SELECT * FROM `site_updates` ORDER BY `date` DESC LIMIT 1');
$req->execute();
if($data = $req->fetch()) {
	$maj_id = 'V'.$data['id'];
	$maj_name = substr($data['name'],1);
	$maj_text = $data['text'];
	$maj_date = $data['date'];
}

$message1 = '<!DOCTYPE html>
<html lang="{{lang}}">
	<head>
		<meta charset="utf-8" />
		<title>Lettre d\'informations '.$nomdusite.'</title>
		<style type="text/css">
@font-face {font-family: Cantarell;src: url(https://progaccess33.net/css/Cantarell-Regular.otf);}
html, body {margin: 0;padding: 0;font-family: Cantarell;}
.software {border-left: 2px dashed black;padding-left: 10px;}
.software_title {margin-bottom: -8px;}
.software_date {color: #606060;margin-left: 15px;}
.software_hits, .software_category {color: #008000;}
</style>
	</head>
	<body>
		<div id="header">
					<h1>Lettre d\'informations '.$nomdusite.'</h1>
			<img id="logo" alt="Logo" src="https://www.progaccess33.net/image/logo128.png" />
		</div>
		<div id="content">
		<h2>Bonjour {{mail}},</h2>
			<h2>Depuis le dernier mail&nbsp;...</h2>';
$message2 = '<a id="link" href="https://www.progaccess33.net/nlmod.php?id=';
$message3 = '">Cliquez ici pour modifier votre abonnement, le renouveler ou vous désinscrire.</a>
			<p>Votre abonnement expire le ';
$message4 = '.</p>
			<p>Merci de ne pas répondre, ceci est un mail automatique.</p>
			<p>Cordialement.<br />L\'Administration '.$nomdusite.'</p>
		</div>
	</body>
</html>';
$msgtxt1 = 'Lettre d\'informations '.$nomdusite." (version texte)\nBonjour {{mail}},\nRetrouvez l'historique des mises à jour sur https://www.progaccess33.net/journal_modif.php\n\nDepuis le dernier mail ...\n\n";
$msgtxt2 = 'Allez à l\'adresse ci-dessous pour modifier votre abonnement, le renouveler ou vous désinscrire. Vous serez automatiquement désinscrit le ';
$msgtxt3 = ".\nhttps://www.progaccess33.net/nlmod.php?id=";
$msgtxt4 = "\n\nMerci de ne pas répondre, ceci est un mail automatique.\n\nCordialement.\nL'Administration ".$nomdusite;

$subject = $nomdusite.' : lettre d\'informations du '.$datejour;

# Envoi des mails
if(isset($debug)) {
	$req = $bdd->prepare('SELECT * FROM `newsletter_mails` WHERE `confirm`=1 AND `mail`=?');
	$req->execute(array($debug));
	echo "--debug--\n";
}
else
{
	$req = $bdd->prepare('SELECT * FROM `newsletter_mails` WHERE `confirm`=1 AND '.$r);
	$req->execute();
	echo "--prod--\n";
}
$sent = false;
$nba = 0;
$nbs = 0;
$nbk = 0;
while($data = $req->fetch()) {
	$nba ++;
	$message = $message1;
	$msgtxt = $msgtxt1;
	foreach($sft as $software) {
		if($software['date'] > $data['lastmail']) {
			$message .= '<div class="software"><h3 class="software_title"><a href="https://www.progaccess33.net/article.php?id='.$software['id'].'">'.$software['name'].'</a> (<a href="https://www.progaccess33.net/cat.php?id='.$software['category'].'">'.$cat[$software['category']].'</a>)</h3><p>'.str_replace('{{site}}', $nomdusite, $software['description']).'<br /><span class="software_hits">'.$software['hits'].' visites</span><span class="software_date"> (mis à jour par '.$software['author'].' le '.date('d/m/Y à H:i:s', $software['date']).')</span></p><ul>';
			$msgtxt .= ' * '.$software['name'].' ('.$cat[$software['category']].') :\n'.$software['description'].' ('.$software['hits'].' visites, mis à jour par '.$software['category'].' le '.date('d/m/Y à H:i:s', $software['date']).")\n";
			foreach($files as $file) {
				if($file['sw_id'] == $software['id'] and $file['date'] > $data['lastmail']) {
					$message .= '<li><a href="https://www.progaccess33.net/r?id='.$file['id'].'">'.$file['title'].' ('.$file['hits'].' téléchargements)</a></li>';
					$msgtxt .= ' - '.$file['title'].', https://www.progaccess33.net/r?id='.$file['id'].' ('.$file['hits']." téléchargements)\n";
				}
			}
			$message .= '</ul></div>';
			$msgtxt .= "\n";
		}
	}
	echo $data['mail'];
	if($message != $message1) {
		echo ' send';
		if($data['notif_site'] and $data['lastmail'] < $maj_date) {
			$message .= '<h2>Mise à jour du site&nbsp;: '.$nomdusite.' '.$maj_name.' ('.$maj_id.')</h2><p>'.$maj_text.'</p>';
			$msgtxt .= 'Mise à jour du site : '.$nomdusite.' '.$maj_name.' ('.$maj_id.')'."\n".strip_tags(html_entity_decode($maj_text))."\n\n"; 
		}
		$message .= $message2.$data['hash'].$message3.date('d/m/Y à H:i:s', $data['expire']).$message4;
		$msgtxt .= $msgtxt2.date('d/m/Y à H:i:s', $data['expire']).$msgtxt3.$data['hash'].$msgtxt4;
		
		$message = str_replace('{{lang}}', $data['lang'], $message
		$message = str_replace('{{mail}}', $data['mail'], $message);
		$msgtxt = str_replace('{{mail}}', $data['mail'], $msgtxt);
		$message = str_replace('{{site}}', $nomdusite, $message);
		$msgtxt = str_replace('{{site}}', $nomdusite, $msgtxt);
		
		$mail = new PHPMailer;
		$mail->isSMTP();
		$mail->Host = $smtp_host;
		$mail->Port = $smtp_port;
		$mail->SMTPAuth = true;
		$mail->Username = $smtp_username;
		$mail->Password = $smtp_psw;
		$mail->setFrom('no_reply@progaccess33.net', 'L\'administration '.$nomdusite);
		$mail->addReplyTo('no_reply@progaccess33.net', 'L\'administration '.$nomdusite);
		$mail->addAddress($data['mail']);
		$mail->Subject = $subject;
		$mail->CharSet = 'UTF-8';
		$mail->IsHTML(TRUE);
		$mail->Body = $message;
		$mail->AltBody = $msgtxt;
		$nbs ++;
		if($mail->send()) {
			$sent = true;
			echo ' OK';
			$req2 = $bdd->prepare('UPDATE `newsletter_mails` SET `lastmail`=? WHERE id=? LIMIT 1');
			$req2->execute(array(time(), $data['id']));
			$nbk ++;
		}
		else
		    echo ' Error:' . $mail->ErrorInfo;
	}
	echo "\n";
}
$req->closeCursor();
$btime = microtime(true)-$atime;
echo $nba.' abonnés, '.$nbs.' envois, '.$nbk.' OK, '.$btime."s\n";
if($sent) {
	if(strftime('%w') == '5' or strftime('%w') == '6') {
		$message = 'Envoi de la Lettre d\'infos à '.$nbs.' abonnés en '.(intval($btime*1000)/1000).' secondes !'."\n".'Fin de la maintenance du jour, reprise éventuelle demain (13:00/22:10).'."\n".'L\'administration';
	} else {
		$message = 'Envoi de la Lettre d\'infos à '.$nbs.' abonnés en '.(intval($btime*1000)/1000).' secondes !'."\n".'Fin de la maintenance du jour, reprise éventuelle demain (06:30/12:00 et 13:00/22:10).'."\n".'L\'administration';
	}
echo $message;
}
?>