<?php set_include_path($_SERVER['DOCUMENT_ROOT']);
include_once 'inclus/log.php';
require_once 'inclus/consts.php';
$titre=' politique de confidentialité '.$nomdusite;
$cheminaudio='/audio/sons_des_pages/CERS.mp3';
$stats_page = 'conf'; ?>
<!doctype html>
<html lang="fr">
<?php include 'inclus/header.php'; ?>
<body>
<div id="hautpage" role="banner">
<h1><a href="/" title="Retour à l'accueil"><?php print $nomdusite; ?></a></h1>
<?php if(isset($_SERVER['HTTP_USER_AGENT']) and strpos($_SERVER['HTTP_USER_AGENT'], 'Trident') !== FALSE) include 'inclus/trident.php';
include 'inclus/searchtool.php';
include 'inclus/loginbox.php'; ?>
</div>
<?php include 'inclus/son.php';
include 'inclus/menu.php'; ?>
<div id="container" role="main">
<h1 id="contenu"><?php print $titre; ?></h1>
<h2><?php print $nomdusite; ?> respecte votre vie privée</h2>
<p>Aucune de vos données personnelles (cookies, adresse IP, etc.) n'est transmise à un tiers.<br />
Votre adresse IP est conservée temporairement pour des raisons techniques (comptage anonyme des visiteurs, antispam, utilisation de l'espace membre, modification d'un commentaire sur un logiciel), mais ne servira pas à vous identifier.<br />
À part de manière temporaire (votre position n'est pas enregistrée) dans le gadget "Informations diverses", nous n'utilisons pas vos données personnelles pour vous géolocaliser.</p>
<p>Nous n'utilisons pas et n'utiliserons jamais de méthodes de <a href="https://fr.wikipedia.org/wiki/Empreinte_digitale_d'appareil">fingerprint</a> pour vous identifier contre votre gré.</p>

<h3>Sécurité</h3>
<p>La connexion entre votre ordinateur et ProgAccess est sécurisée de bout en bout grâce à un certificat TLS.<br />
Cela signifie qu'il est impossible de falsifier les pages web du site ou d'intercepter vos données.<br />
Vos mots de passe et votre adresse IP stockés dans la base de données sont sécurisés de sorte qu'il est impossible, aussi bien pour nous que pour d'éventuels pirates, d'y accéder.</p>

<h3>Les cookies</h3>
<p>Un cookie est une petite donnée déposée dans votre navigateur par un site internet.<br />
Vous avez à tout moment la possibilité de bloquer l'usage des cookies ou de les supprimer.<br />
Un cookie ne peut aucunement représenter une menace de sécurité.</p>
<p>En tout cas, ProgAccess ne dépose des cookies dans votre ordinateur qu'avec votre consentement au préalable&nbsp;: un message vous prévient si l'usage des cookies est nécessaire pour utiliser une certaine fonctionnalité.<br />
Les cookies utilisés servent exclusivement à la sauvegarde des paramètres de personnalisation et à l'utilisation de l'espace membres ProgAccess.</p>
<h3>En savoir plus</h3>
<p>Si vous désirez en savoir plus sur la sécurité de vos données, nos méthodes, votre anonymat, ou toute autre chose, vous pouvez nous contacter via le <a href="/contacter.php">formulaire de contact</a> avec le sujet "<i>demande sur la politique de confidentialité</i>".</p>
<p>Vous disposez également d'un droit d'accès, de modification et de suppression de vos données, à condition de pouvoir vous identifier comme le propriétaire de ces données.</p>
</div>
<?php include 'inclus/footer.php'; ?>
</body>
</html>